## packagesearch 2.7.3

=== src/plugins/popconplugin/Makefile ===
#############################################################################
# Makefile for building: libpopconplugin.so
# Generated by qmake (2.01a) (Qt 4.8.2) on: Thu Jun 28 23:09:18 2012
# Project:  popconplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 CONFIG-=debug CONFIG+=release -o Makefile popconplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.13 -I.moc
LINK          = g++
LFLAGS        = -m64 -Wl,-z,relro -Wl,-O1 -shared
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtCore 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = popconplugin.cpp \
		popconplugincontainer.cpp \
		popconpluginfactory.cpp .moc/moc_popconplugincontainer.cpp
OBJECTS       = .obj/popconplugin.o \
		.obj/popconplugincontainer.o \
		.obj/popconpluginfactory.o \
		.obj/moc_popconplugincontainer.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		popconplugin.pro
QMAKE_TARGET  = popconplugin
DESTDIR       = ../
TARGET        = libpopconplugin.so
TARGETD       = libpopconplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: popconplugin.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/x86_64-linux-gnu/libQtXml.prl \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) CONFIG-=debug CONFIG+=release -o Makefile popconplugin.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/x86_64-linux-gnu/libQtXml.prl:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) CONFIG-=debug CONFIG+=release -o Makefile popconplugin.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/popconplugin0.0.1 || $(MKDIR) .obj/popconplugin0.0.1 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/popconplugin0.0.1/ && $(COPY_FILE) --parents popconplugin.h popconplugincontainer.h popconpluginfactory.h .obj/popconplugin0.0.1/ && $(COPY_FILE) --parents popconplugin.cpp popconplugincontainer.cpp popconpluginfactory.cpp .obj/popconplugin0.0.1/ && $(COPY_FILE) --parents ../../../translations/popconplugin_de.ts ../../../translations/popconplugin_es.ts .obj/popconplugin0.0.1/ && (cd `dirname .obj/popconplugin0.0.1` && $(TAR) popconplugin0.0.1.tar popconplugin0.0.1 && $(COMPRESS) popconplugin0.0.1.tar) && $(MOVE) `dirname .obj/popconplugin0.0.1`/popconplugin0.0.1.tar.gz . && $(DEL_FILE) -r .obj/popconplugin0.0.1


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_popconplugincontainer.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_popconplugincontainer.cpp
.moc/moc_popconplugincontainer.cpp: popconplugincontainer.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) popconplugincontainer.h -o .moc/moc_popconplugincontainer.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: .ui/qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) .ui/qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

.obj/popconplugin.o: popconplugin.cpp popconplugin.h \
		popconplugincontainer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/popconplugin.o popconplugin.cpp

.obj/popconplugincontainer.o: popconplugincontainer.cpp popconplugincontainer.h \
		popconplugin.h \
		popconpluginfactory.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/popconplugincontainer.o popconplugincontainer.cpp

.obj/popconpluginfactory.o: popconpluginfactory.cpp popconpluginfactory.h \
		popconplugin.h \
		popconplugincontainer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/popconpluginfactory.o popconpluginfactory.cpp

.obj/moc_popconplugincontainer.o: .moc/moc_popconplugincontainer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_popconplugincontainer.o .moc/moc_popconplugincontainer.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== src/plugins/screenshotplugin/Makefile ===
#############################################################################
# Makefile for building: libscreenshotplugin.so
# Generated by qmake (2.01a) (Qt 4.8.2) on: Thu Jun 28 23:09:18 2012
# Project:  screenshotplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 CONFIG-=debug CONFIG+=release -o Makefile screenshotplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.13 -I.moc
LINK          = g++
LFLAGS        = -m64 -Wl,-z,relro -Wl,-O1 -shared
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtNetwork -lQtCore 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = screenshotplugin.cpp \
		screenshotplugincontainer.cpp \
		screenshotpluginfactory.cpp .moc/moc_screenshotplugin.cpp \
		.moc/moc_screenshotplugincontainer.cpp
OBJECTS       = .obj/screenshotplugin.o \
		.obj/screenshotplugincontainer.o \
		.obj/screenshotpluginfactory.o \
		.obj/moc_screenshotplugin.o \
		.obj/moc_screenshotplugincontainer.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		screenshotplugin.pro
QMAKE_TARGET  = screenshotplugin
DESTDIR       = ../
TARGET        = libscreenshotplugin.so
TARGETD       = libscreenshotplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: screenshotplugin.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/x86_64-linux-gnu/libQtXml.prl \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtNetwork.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) CONFIG-=debug CONFIG+=release -o Makefile screenshotplugin.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/x86_64-linux-gnu/libQtXml.prl:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtNetwork.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) CONFIG-=debug CONFIG+=release -o Makefile screenshotplugin.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/screenshotplugin0.0.1 || $(MKDIR) .obj/screenshotplugin0.0.1 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/screenshotplugin0.0.1/ && $(COPY_FILE) --parents screenshotplugin.h screenshotplugincontainer.h screenshotpluginfactory.h .obj/screenshotplugin0.0.1/ && $(COPY_FILE) --parents screenshotplugin.cpp screenshotplugincontainer.cpp screenshotpluginfactory.cpp .obj/screenshotplugin0.0.1/ && $(COPY_FILE) --parents ../../../translations/screenshotplugin_de.ts ../../../translations/screenshotplugin_es.ts .obj/screenshotplugin0.0.1/ && (cd `dirname .obj/screenshotplugin0.0.1` && $(TAR) screenshotplugin0.0.1.tar screenshotplugin0.0.1 && $(COMPRESS) screenshotplugin0.0.1.tar) && $(MOVE) `dirname .obj/screenshotplugin0.0.1`/screenshotplugin0.0.1.tar.gz . && $(DEL_FILE) -r .obj/screenshotplugin0.0.1


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_screenshotplugin.cpp .moc/moc_screenshotplugincontainer.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_screenshotplugin.cpp .moc/moc_screenshotplugincontainer.cpp
.moc/moc_screenshotplugin.cpp: screenshotplugincontainer.h \
		screenshotplugin.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) screenshotplugin.h -o .moc/moc_screenshotplugin.cpp

.moc/moc_screenshotplugincontainer.cpp: screenshotplugincontainer.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) screenshotplugincontainer.h -o .moc/moc_screenshotplugincontainer.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: .ui/qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) .ui/qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

.obj/screenshotplugin.o: screenshotplugin.cpp screenshotplugin.h \
		screenshotplugincontainer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/screenshotplugin.o screenshotplugin.cpp

.obj/screenshotplugincontainer.o: screenshotplugincontainer.cpp screenshotplugincontainer.h \
		screenshotplugin.h \
		screenshotpluginfactory.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/screenshotplugincontainer.o screenshotplugincontainer.cpp

.obj/screenshotpluginfactory.o: screenshotpluginfactory.cpp screenshotpluginfactory.h \
		screenshotplugin.h \
		screenshotplugincontainer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/screenshotpluginfactory.o screenshotpluginfactory.cpp

.obj/moc_screenshotplugin.o: .moc/moc_screenshotplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_screenshotplugin.o .moc/moc_screenshotplugin.cpp

.obj/moc_screenshotplugincontainer.o: .moc/moc_screenshotplugincontainer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_screenshotplugincontainer.o .moc/moc_screenshotplugincontainer.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
packagesearch (2.7.3) unstable; urgency=low

  * fixed packagesearch to show the correct long description (Closes: #676812)

 -- Benjamin Mesing <bensmail@gmx.net>  Thu, 28 Jun 2012 23:00:34 +0200

packagesearch (2.7.2) unstable; urgency=low

  * changed RunCommandInXterm to use /usr/bin/uxterm, because
    only there I can guarantee consistent behaviour (Closes: #676811)
  * make apt default package management tool
  * inform user to configure to use apt if aptitude
    is not available (Closes: #676810)
  * fixed several multiarch issues

 -- Benjamin Mesing <bensmail@gmx.net>  Tue, 12 Jun 2012 21:03:37 +0200

packagesearch (2.7.1) unstable; urgency=medium

  * changed debian build infrastructure to use debhelper

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 20 May 2012 11:45:28 +0200

packagesearch (2.7) unstable; urgency=high

  * compiled against latest version of libept/libapt (Closes: #669215)
  * fixed compiler error caused by xapian having a slots member 
    variable (Closes: #639076)
  * added support for displaying the "Homepage" field (Closes: #598193)
  * Implemented support for viewing screenshots

 -- Benjamin Mesing <bensmail@gmx.net>  Sat, 19 May 2012 21:40:09 +0200

=== debian/control ===
Source: packagesearch
Section: admin
Priority: optional
Maintainer: Benjamin Mesing <bensmail@gmx.net>
Build-Depends: debhelper (>= 8.9.7), libept-dev (>= 1.0), libept-dev (<< 2), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
Standards-Version: 3.9.3
Vcs-Svn: https://packagesearch.svn.sourceforge.net/svnroot/packagesearch

Package: packagesearch
Architecture: any
Depends: apt (>= 0.6.46.1), debtags (>= 1.6.1), apt-xapian-index, xterm, ${shlibs:Depends}, ${misc:Depends}
Recommends: apt-file, deborphan
Description: GUI for searching packages and viewing package information
 This tool is aimed to help you search the packages you need. It should
 make the task of searching a pleasant experience. 
 .
 Search can be done by 
  * pattern
  * tags (based on the debtags system, a new way of categorizing 
    Debian packages)
  * files
  * installed status
  * orphaned packages
 Additionally a lot of information about the packages is displayed, 
 including the files belonging to them.
 .
 It is possible to install or remove packages.

## packagesearch 2.7.4

=== src/plugins/popconplugin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libpopconplugin.so
-# Generated by qmake (2.01a) (Qt 4.8.2) on: Thu Jun 28 23:09:18 2012
+# Generated by qmake (2.01a) (Qt 4.8.6) on: Mon Oct 28 21:08:52 2013
 # Project:  popconplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 CONFIG-=debug CONFIG+=release -o Makefile popconplugin.pro
@@ -13,7 +13,7 @@
 DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
 CXXFLAGS      = -m64 -pipe -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.13 -I.moc
+INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.14 -I.moc
 LINK          = g++
 LFLAGS        = -m64 -Wl,-z,relro -Wl,-O1 -shared
 LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtCore 
@@ -68,6 +68,8 @@
 		/usr/share/qt4/mkspecs/features/qt.prf \
 		/usr/share/qt4/mkspecs/features/moc.prf \
 		/usr/share/qt4/mkspecs/features/warn_on.prf \
+		/usr/share/qt4/mkspecs/features/shared.prf \
+		/usr/share/qt4/mkspecs/features/dll.prf \
 		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
 		/usr/share/qt4/mkspecs/features/resources.prf \
 		/usr/share/qt4/mkspecs/features/uic.prf \
@@ -129,6 +131,8 @@
 		/usr/share/qt4/mkspecs/features/qt.prf \
 		/usr/share/qt4/mkspecs/features/moc.prf \
 		/usr/share/qt4/mkspecs/features/warn_on.prf \
+		/usr/share/qt4/mkspecs/features/shared.prf \
+		/usr/share/qt4/mkspecs/features/dll.prf \
 		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
 		/usr/share/qt4/mkspecs/features/resources.prf \
 		/usr/share/qt4/mkspecs/features/uic.prf \
@@ -156,6 +160,8 @@
 /usr/share/qt4/mkspecs/features/qt.prf:
 /usr/share/qt4/mkspecs/features/moc.prf:
 /usr/share/qt4/mkspecs/features/warn_on.prf:
+/usr/share/qt4/mkspecs/features/shared.prf:
+/usr/share/qt4/mkspecs/features/dll.prf:
 /usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
 /usr/share/qt4/mkspecs/features/resources.prf:
 /usr/share/qt4/mkspecs/features/uic.prf:
@@ -194,7 +200,7 @@
 compiler_moc_header_clean:
 	-$(DEL_FILE) .moc/moc_popconplugincontainer.cpp
 .moc/moc_popconplugincontainer.cpp: popconplugincontainer.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) popconplugincontainer.h -o .moc/moc_popconplugincontainer.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) popconplugincontainer.h -o .moc/moc_popconplugincontainer.cpp
 
 compiler_rcc_make_all:
 compiler_rcc_clean:

=== src/plugins/screenshotplugin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libscreenshotplugin.so
-# Generated by qmake (2.01a) (Qt 4.8.2) on: Thu Jun 28 23:09:18 2012
+# Generated by qmake (2.01a) (Qt 4.8.6) on: Mon Oct 28 21:08:52 2013
 # Project:  screenshotplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 CONFIG-=debug CONFIG+=release -o Makefile screenshotplugin.pro
@@ -13,7 +13,7 @@
 DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
 CXXFLAGS      = -m64 -pipe -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.13 -I.moc
+INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.14 -I.moc
 LINK          = g++
 LFLAGS        = -m64 -Wl,-z,relro -Wl,-O1 -shared
 LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtNetwork -lQtCore 
@@ -70,6 +70,8 @@
 		/usr/share/qt4/mkspecs/features/qt.prf \
 		/usr/share/qt4/mkspecs/features/moc.prf \
 		/usr/share/qt4/mkspecs/features/warn_on.prf \
+		/usr/share/qt4/mkspecs/features/shared.prf \
+		/usr/share/qt4/mkspecs/features/dll.prf \
 		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
 		/usr/share/qt4/mkspecs/features/resources.prf \
 		/usr/share/qt4/mkspecs/features/uic.prf \
@@ -131,6 +133,8 @@
 		/usr/share/qt4/mkspecs/features/qt.prf \
 		/usr/share/qt4/mkspecs/features/moc.prf \
 		/usr/share/qt4/mkspecs/features/warn_on.prf \
+		/usr/share/qt4/mkspecs/features/shared.prf \
+		/usr/share/qt4/mkspecs/features/dll.prf \
 		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
 		/usr/share/qt4/mkspecs/features/resources.prf \
 		/usr/share/qt4/mkspecs/features/uic.prf \
@@ -159,6 +163,8 @@
 /usr/share/qt4/mkspecs/features/qt.prf:
 /usr/share/qt4/mkspecs/features/moc.prf:
 /usr/share/qt4/mkspecs/features/warn_on.prf:
+/usr/share/qt4/mkspecs/features/shared.prf:
+/usr/share/qt4/mkspecs/features/dll.prf:
 /usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
 /usr/share/qt4/mkspecs/features/resources.prf:
 /usr/share/qt4/mkspecs/features/uic.prf:
@@ -199,10 +205,10 @@
 	-$(DEL_FILE) .moc/moc_screenshotplugin.cpp .moc/moc_screenshotplugincontainer.cpp
 .moc/moc_screenshotplugin.cpp: screenshotplugincontainer.h \
 		screenshotplugin.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) screenshotplugin.h -o .moc/moc_screenshotplugin.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) screenshotplugin.h -o .moc/moc_screenshotplugin.cpp
 
 .moc/moc_screenshotplugincontainer.cpp: screenshotplugincontainer.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) screenshotplugincontainer.h -o .moc/moc_screenshotplugincontainer.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) screenshotplugincontainer.h -o .moc/moc_screenshotplugincontainer.cpp
 
 compiler_rcc_make_all:
 compiler_rcc_clean:

=== debian/changelog ===
packagesearch (2.7.4) unstable; urgency=low

  * removed reference to ept::axi an ept::popcon(Closes: #727627)
  * updated dependency to latest version of libwibble (>=1 << 2)

 -- Benjamin Mesing <ben@debian.org>  Mon, 28 Oct 2013 17:27:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: packagesearch
 Section: admin
 Priority: optional
-Maintainer: Benjamin Mesing <bensmail@gmx.net>
-Build-Depends: debhelper (>= 8.9.7), libept-dev (>= 1.0), libept-dev (<< 2), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
-Standards-Version: 3.9.3
+Maintainer: Benjamin Mesing <ben@debian.org>
+Build-Depends: debhelper (>= 8.9.7), libept-dev (>= 1.0.9), libept-dev (<< 2), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 1.0), libwibble-dev (<< 2.0), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
+Standards-Version: 3.9.5
 Vcs-Svn: https://packagesearch.svn.sourceforge.net/svnroot/packagesearch
 
 Package: packagesearch

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	docbook-to-man debian/manpage.sgml > debian/packagesearch.1
	dh_auto_build
	# not yet ready for release - no popcon data available
	rm -f src/plugins/libpopconplugin.so

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/packagesearch.1

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_installman:
	dh_installman debian/packagesearch.1

# do not run Make test because it is currently broken
override_dh_auto_test:
	

# .PHONY: override_dh_auto_build override_dh_auto_clean override_dh_installchangelogs override_dh_installman override_dh_auto_test

## packagesearch 2.7.4ubuntu1.1

=== src/plugins/popconplugin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libpopconplugin.so
-# Generated by qmake (2.01a) (Qt 4.8.6) on: Mon Oct 28 21:08:52 2013
+# Generated by qmake (2.01a) (Qt 4.8.6) on: Mo. Okt 5 16:38:11 2015
 # Project:  popconplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 CONFIG-=debug CONFIG+=release -o Makefile popconplugin.pro
@@ -12,10 +12,10 @@
 CXX           = g++
 DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-CXXFLAGS      = -m64 -pipe -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
+CXXFLAGS      = -m64 -pipe -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
 INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.14 -I.moc
 LINK          = g++
-LFLAGS        = -m64 -Wl,-z,relro -Wl,-O1 -shared
+LFLAGS        = -m64 -Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-O1 -shared
 LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtCore 
 AR            = ar cqs
 RANLIB        =

=== src/plugins/screenshotplugin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libscreenshotplugin.so
-# Generated by qmake (2.01a) (Qt 4.8.6) on: Mon Oct 28 21:08:52 2013
+# Generated by qmake (2.01a) (Qt 4.8.6) on: Mo. Okt 5 16:38:11 2015
 # Project:  screenshotplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 CONFIG-=debug CONFIG+=release -o Makefile screenshotplugin.pro
@@ -12,10 +12,10 @@
 CXX           = g++
 DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-CXXFLAGS      = -m64 -pipe -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
+CXXFLAGS      = -m64 -pipe -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
 INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.14 -I.moc
 LINK          = g++
-LFLAGS        = -m64 -Wl,-z,relro -Wl,-O1 -shared
+LFLAGS        = -m64 -Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-O1 -shared
 LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtNetwork -lQtCore 
 AR            = ar cqs
 RANLIB        =

=== debian/changelog ===
packagesearch (2.7.4ubuntu1.1) wily; urgency=medium

  * rebuild against libapt-pkg4.16

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Oct 2015 16:37:01 +0200

packagesearch (2.7.4ubuntu1) wily; urgency=medium

  * Rebuild against libxapian22v5.
  * Drop inclusion of debtags.tcc, it's gone in the rearranged libept 1.0.13.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 16:21:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: packagesearch
 Section: admin
 Priority: optional
-Maintainer: Benjamin Mesing <ben@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Mesing <ben@debian.org>
 Build-Depends: debhelper (>= 8.9.7), libept-dev (>= 1.0.9), libept-dev (<< 2), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 1.0), libwibble-dev (<< 2.0), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
 Standards-Version: 3.9.5
 Vcs-Svn: https://packagesearch.svn.sourceforge.net/svnroot/packagesearch

## packagesearch 2.7.5

=== Makefile ===
#!/usr/bin/make -f

ICONDIR = /usr/share/pixmaps/packagesearch

RELEASE_ARGS := "CONFIG-=debug" "CONFIG+=release"
TEST_ARGS := "CONFIG+=test" "CONFIG+=debug"
MAKE_ARGS := "-j2"
QMAKE = /usr/bin/qmake-qt4
LRELEASE = /usr/bin/lrelease-qt4

all: delete-makefiles translations
	( cd src ; $(QMAKE) $(RELEASE_ARGS) ; make $(MAKE_ARGS))
	( cd src/plugins ; $(QMAKE) $(RELEASE_ARGS) ; make $(MAKE_ARGS))

translations:
	$(LRELEASE) src/packagesearch.pro
	$(LRELEASE) src/plugins/debtagsplugin/debtagsplugin.pro
	$(LRELEASE) src/plugins/aptplugin/aptplugin.pro
	$(LRELEASE) src/plugins/filenameplugin/filenameplugin.pro
	$(LRELEASE) src/plugins/orphanplugin/orphanplugin.pro
	$(LRELEASE) src/plugins/screenshotplugin/screenshotplugin.pro

delete-translations:
	rm -f translations/*.qm

clean-all: clean clean-debug clean-test delete-translations

clean: delete-makefiles delete-translations
	( cd src ; $(QMAKE) $(RELEASE_ARGS) ; make clean )
	( cd src/plugins ; $(QMAKE) $(RELEASE_ARGS) ; make clean )
	make delete-makefiles

debug: delete-makefiles translations
	( cd src ; $(QMAKE) ; make $(MAKE_ARGS))
	( cd src/plugins ; $(QMAKE) ; make $(MAKE_ARGS))

clean-debug: delete-makefiles delete-translations
	( cd src ; $(QMAKE) ; make clean )
	( cd src/plugins ; $(QMAKE) ; make clean )
	make delete-makefiles


#install:
#	install -d /usr/lib/packagesearch
#	install -d /usr/share/doc/packagesearch
#	install -d /usr/local/bin
#	install -d $(ICONDIR)
#	install src/packagesearch /usr/local/bin/
#	install -m 644 icons/{packagesearch.png,install-package.png,remove-package.png,forward.png,back.png} $(ICONDIR)
#	install -m 644 README TODO CHANGELOG doc/content.html doc/COPYING.txt /usr/share/doc/packagesearch/
#	install src/plugins/lib*so /usr/lib/packagesearch
	
#uninstall:
#	rm -f /usr/local/bin/packagesearch
#	rm -f /usr/share/doc/packagesearch/{README,TODO,CHANGELOG,content.html,COPYING.txt}
#	rmdir /usr/share/doc/packagesearch
#	rm -f /usr/lib/packagesearch/libaptplugin.so
#	rm -f /usr/lib/packagesearch/libdebtagsplugin.so
#	rm -f /usr/lib/packagesearch/libfilenameplugin.so
#	rm -f /usr/lib/packagesearch/liborphanplugin.so
#	rmdir /usr/lib/packagesearch
#	rm -f  $(ICONDIR)/{packagesearch.png,install-package.png,remove-package.png,forward.png,back.png}
#	rmdir $(ICONDIR)

delete-makefiles:
	rm -f src/Makefile
	rm -f src/plugins/Makefile
	rm -f src/plugins/aptplugin/Makefile
	rm -f src/plugins/debtagsplugin/Makefile
	rm -f src/plugins/filenameplugin/Makefile
	rm -f src/plugins/orphanplugin/Makefile
	rm -f src/plugins/Makefile.test
	rm -f src/plugins/aptplugin-test/Makefile

test: build-test run-test

build-test: debug
	( cd src ; $(QMAKE) "CONFIG+= testlib" ; make $(MAKE_ARGS) -f Makefile.testlib)
	( cd test-src ; $(QMAKE) ; make $(MAKE_ARGS))
	( cd src/plugins ; $(QMAKE) plugins-test.pro ; make $(MAKE_ARGS) -f Makefile.test)

run-test: build-test
	( cd test-src ; export LD_LIBRARY_PATH=../src ; ./run-tests )
	( cd src ; export LD_LIBRARY_PATH=.:plugins ; plugins/aptplugin/run-tests )
	
clean-test:
	( cd src/plugins ; $(QMAKE) "CONFIG+= testlib" ; make -f src/Makefile.testlib clean )
	make -f src/Makefile.test clean
	make -f src/plugins/Makefile.test clean
	rm -f src/Makefile.testlib
	rm -f src/Makefile.test

.PHONY : all debug clean clean-all clean-debug clean-test install uninstall delete-makefiles test build-test run-test translations delete-translations

=== src/plugins/popconplugin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libpopconplugin.so
-# Generated by qmake (2.01a) (Qt 4.8.6) on: Mo. Okt 5 16:38:11 2015
+# Generated by qmake (2.01a) (Qt 4.8.7) on: Sun Sep 20 20:53:06 2015
 # Project:  popconplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 CONFIG-=debug CONFIG+=release -o Makefile popconplugin.pro
@@ -12,10 +12,10 @@
 CXX           = g++
 DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-CXXFLAGS      = -m64 -pipe -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
+CXXFLAGS      = -m64 -pipe -std=c++11 -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
 INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.14 -I.moc
 LINK          = g++
-LFLAGS        = -m64 -Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-O1 -shared
+LFLAGS        = -m64 -Wl,-z,relro -Wl,-O1 -shared
 LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtCore 
 AR            = ar cqs
 RANLIB        =

=== src/plugins/screenshotplugin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libscreenshotplugin.so
-# Generated by qmake (2.01a) (Qt 4.8.6) on: Mo. Okt 5 16:38:11 2015
+# Generated by qmake (2.01a) (Qt 4.8.7) on: Sun Sep 20 20:53:06 2015
 # Project:  screenshotplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 CONFIG-=debug CONFIG+=release -o Makefile screenshotplugin.pro
@@ -12,10 +12,10 @@
 CXX           = g++
 DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-CXXFLAGS      = -m64 -pipe -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
+CXXFLAGS      = -m64 -pipe -std=c++11 -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
 INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.14 -I.moc
 LINK          = g++
-LFLAGS        = -m64 -Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-O1 -shared
+LFLAGS        = -m64 -Wl,-z,relro -Wl,-O1 -shared
 LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtNetwork -lQtCore 
 AR            = ar cqs
 RANLIB        =

=== debian/changelog ===
packagesearch (2.7.5) unstable; urgency=medium

  * fixed compile bugs against latest libept (Closes: #798143, #798808)

 -- Benjamin Mesing <ben@debian.org>  Sun, 20 Sep 2015 20:51:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: packagesearch
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Mesing <ben@debian.org>
+Maintainer: Benjamin Mesing <ben@debian.org>
 Build-Depends: debhelper (>= 8.9.7), libept-dev (>= 1.0.9), libept-dev (<< 2), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 1.0), libwibble-dev (<< 2.0), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
-Standards-Version: 3.9.5
-Vcs-Svn: https://packagesearch.svn.sourceforge.net/svnroot/packagesearch
+Standards-Version: 3.9.6
+Vcs-Git: https://git.code.sf.net/p/packagesearch/git
 
 Package: packagesearch
 Architecture: any

## packagesearch 2.7.5b2

=== debian/changelog ===
packagesearch (2.7.5b2) staging; urgency=medium

  * No-change rebuild against libapt-pkg5.0

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Mon, 21 Dec 2015 00:34:35 +0100

packagesearch (2.7.5b1) staging; urgency=high

  * Rebuild for tanglu 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 21 Sep 2015 19:21:41 +0200

## packagesearch 2.7.5build1

=== src/plugins/popconplugin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libpopconplugin.so
-# Generated by qmake (2.01a) (Qt 4.8.7) on: Sun Sep 20 20:53:06 2015
+# Generated by qmake (2.01a) (Qt 4.8.7) on: mar nov 15 18:43:00 2016
 # Project:  popconplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 CONFIG-=debug CONFIG+=release -o Makefile popconplugin.pro
@@ -12,10 +12,10 @@
 CXX           = g++
 DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-CXXFLAGS      = -m64 -pipe -std=c++11 -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
+CXXFLAGS      = -m64 -pipe -std=c++11 -O2 -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
 INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.14 -I.moc
 LINK          = g++
-LFLAGS        = -m64 -Wl,-z,relro -Wl,-O1 -shared
+LFLAGS        = -m64 -Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-O1 -shared
 LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtCore 
 AR            = ar cqs
 RANLIB        =

=== src/plugins/screenshotplugin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libscreenshotplugin.so
-# Generated by qmake (2.01a) (Qt 4.8.7) on: Sun Sep 20 20:53:06 2015
+# Generated by qmake (2.01a) (Qt 4.8.7) on: mar nov 15 18:43:01 2016
 # Project:  screenshotplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 CONFIG-=debug CONFIG+=release -o Makefile screenshotplugin.pro
@@ -12,11 +12,11 @@
 CXX           = g++
 DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-CXXFLAGS      = -m64 -pipe -std=c++11 -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.14 -I.moc
+CXXFLAGS      = -m64 -pipe -std=c++11 -O2 -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
+INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I.moc
 LINK          = g++
-LFLAGS        = -m64 -Wl,-z,relro -Wl,-O1 -shared
-LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtNetwork -lQtCore 
+LFLAGS        = -m64 -Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-O1 -shared
+LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -lz -lpthread -lQtXml -lQtGui -lQtNetwork -lQtCore 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake-qt4

=== debian/changelog ===
packagesearch (2.7.5build1) zesty; urgency=medium

  * Rebuild against new libxapian30.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Nov 2016 18:42:59 +0100
